searchData={"items":[{"type":"module","title":"KritaEx","doc":"Provides functions to extract embedded images from Krita .kra files","ref":"KritaEx.html"},{"type":"function","title":"KritaEx.extract_png/3","doc":"Extracts the embedded png to a specified location","ref":"KritaEx.html#extract_png/3"},{"type":"function","title":"Parameters - KritaEx.extract_png/3","doc":"- kra: Path to .kra file or binary content (use of `raw` is required to use binary)\n  - out_path: Output filepath\n  - options:\n    - raw: expect binary input (default `false`)\n    - create_dirs: create output directories (default `true`)\n\nReturns `:ok` or `{:error, reason}`.","ref":"KritaEx.html#extract_png/3-parameters"},{"type":"function","title":"Examples - KritaEx.extract_png/3","doc":"iex(1)> KritaEx.extract_png(\"test/files/test.kra\", \"tmp/output.png\")\n    :ok\n\n    iex(2)> KritaEx.extract_png(\"idontexist.kra\", \"tmp/output.png\")\n    {:error, {:failed_read, :enoent}}","ref":"KritaEx.html#extract_png/3-examples"},{"type":"function","title":"KritaEx.read_png/1","doc":"Aliased to `read_png/2` with `raw: false`","ref":"KritaEx.html#read_png/1"},{"type":"function","title":"KritaEx.read_png/2","doc":"Reads the embedded png in binary format","ref":"KritaEx.html#read_png/2"},{"type":"function","title":"Parameters - KritaEx.read_png/2","doc":"- kra: Path to .kra file or file contents (use of `raw` is required to use binary)\n  - options:\n    - raw: expect binary input (default: `false`, see `read_png/1`)","ref":"KritaEx.html#read_png/2-parameters"},{"type":"function","title":"Examples - KritaEx.read_png/2","doc":"KritaEx.read_png(\"test/files/test.kra\")\n    {:ok,\n      <<137, 80, 78, 71, 13, 10, 26, 10, 0, 0, 0, 13, 73, 72, 68, 82, 0, 0, 0, 64, 0,\n        0, 0, 64, 8, 6, 0, 0, 0, 170, 105, 113, 222, 0, 0, 0, 9, 112, 72, 89, 115, 0,\n        0, 46, 35, 0, 0, 46, ...>>}","ref":"KritaEx.html#read_png/2-examples"},{"type":"function","title":"KritaEx.valid_kra?/1","doc":"Aliased to `valid_kra?/2` with `raw: false`","ref":"KritaEx.html#valid_kra?/1"},{"type":"function","title":"KritaEx.valid_kra?/2","doc":"Verifies that the supplied .kra is valid","ref":"KritaEx.html#valid_kra?/2"},{"type":"function","title":"Parameters - KritaEx.valid_kra?/2","doc":"- kra: Path to .kra file or file contents (use of `raw` is required to use binary)\n  - options:\n    - raw: expect binary input (default: `false`, see `valid_kra?/1`)\n\nReturns `true` or `false`","ref":"KritaEx.html#valid_kra?/2-parameters"},{"type":"function","title":"Examples - KritaEx.valid_kra?/2","doc":"iex(1)> KritaEx.valid_kra?(\"test/files/test.kra\")\n    true\n\n    iex(2)> KritaEx.valid_kra?(\"test/files/invalid.kra\")\n    false","ref":"KritaEx.html#valid_kra?/2-examples"},{"type":"extras","title":"<img align=\"center\" height=\"60\" src=\"priv/logo.svg\"> KritaEx","doc":"KritaEx \n\n![Build Status](https://github.com/x-kemo-art/krita_ex/actions/workflows/elixir.yml/badge.svg)\n[![Hex.pm](https://img.shields.io/hexpm/v/krita_ex.svg)](https://hex.pm/packages/krita_ex) \n[![Documentation](https://img.shields.io/badge/documentation-gray)](https://hexdocs.pm/krita_ex)\n\nA module for extracting embedded images from Krita .kra files","ref":"readme.html"},{"type":"extras","title":"Installation - <img align=\"center\" height=\"60\" src=\"priv/logo.svg\"> KritaEx","doc":"This package can be installed\nby adding `krita_ex` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:krita_ex, \"~> 0.1.1\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - <img align=\"center\" height=\"60\" src=\"priv/logo.svg\"> KritaEx","doc":"```elixir\niex(1)> KritaEx.extract_png(\"test/files/test.kra\", \"tmp/output.png\")\n:ok\n```\n\n```elixir\niex(1)> KritaEx.read_png(\"test/files/test.kra\")\n{:ok,\n  <<137, 80, 78, 71, 13, 10, 26, 10, 0, 0, 0, 13, 73, 72, 68, 82, 0, 0, 0, 64, 0,\n    0, 0, 64, 8, 6, 0, 0, 0, 170, 105, 113, 222, 0, 0, 0, 9, 112, 72, 89, 115, 0,\n    0, 46, 35, 0, 0, 46, ...>>}\n```\n\n```elixir\niex(1)> KritaEx.valid_kra?(\"test/files/test.kra\")\ntrue\n\niex(2)> KritaEx.valid_kra?(\"test/files/invalid.kra\")\nfalse\n```","ref":"readme.html#usage"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}